#ifndef CHARGEURCOM_H
#define CHARGEURCOM_H

class erreur_chargement {};

struct ChargeurCOM {
   class ApartmentThreaded {};
   class MultiThreaded {};
   static constexpr const auto apartment_threaded = ApartmentThreaded{};
   static constexpr const auto multi_threaded = MultiThreaded{};
   ChargeurCOM(const ChargeurCOM&) = delete;
   ChargeurCOM& operator=(const ChargeurCOM&) = delete;
   ChargeurCOM(ApartmentThreaded);
   ChargeurCOM(MultiThreaded);
   ~ChargeurCOM();
};

#endif
