#ifndef ISOMMEPTR_H
#define ISOMMEPTR_H

#include "Relacheur.h"
#include <memory>

struct ISomme;

class erreur_creation {};
class erreur_calcul {};

class ISommePtr {
   std::unique_ptr<ISomme, relacheur> p;
public:
   ISommePtr();
   ~ISommePtr();
   ISommePtr(ISommePtr&&) = default;
   ISommePtr& operator=(ISommePtr&&) = default;
   int somme(int, int) const;
};

#endif
