#ifndef GESTIONNAIREVERROU_H
#define GESTIONNAIREVERROU_H

#include <atomic>

class GestionnaireVerrou {
   std::atomic<unsigned long> cptobj{ 0UL };
   GestionnaireVerrou() = default;
public:
   static GestionnaireVerrou& get() {
      static GestionnaireVerrou singleton;
      return singleton;
   }
   void incrementer() {
      ++cptobj;
   }
   void decrementer() {
      --cptobj;
   }
   bool est_vide() const {
      return cptobj == 0;
   }
};

#endif
