#ifndef REGISTRY_H
#define REGISTRY_H

#include <string>
#include <objbase.h>

// cette fonction inscrit au registre une association entre une
// fabrique et son contexte
HRESULT RegisterServer(
   const std::wstring &NomModule,
   REFCLSID clsid,
   const std::wstring &NomConvivial,
   const std::wstring &NomIndependantDeVersion,
   const std::wstring &ProgID,
   const wchar_t *ThreadingModel = L""
);

// cette fonction supprime du registre une association entre une
// fabrique et son contexte
HRESULT UnregisterServer(
   REFCLSID clsid,
   const std::wstring &NomIndependantDeVersion,
   const std::wstring &ProgID
);

#endif