#ifndef SOMMATEUR_H
#define SOMMATEUR_H

#include "ISommeImpl.h"
#include "IUnknownImpl.h"

struct Sommateur : ISommeImpl, IUnknownImpl {
   //using IUnknownImpl::AddRef;
   //using IUnknownImpl::Release;
   unsigned long __stdcall AddRef() override {
      return IUnknownImpl::AddRef();
   }
   unsigned long __stdcall Release() override {
      return IUnknownImpl::Release();
   }
   HRESULT __stdcall QueryInterface(REFIID riid, void **ppv) override {
      if (riid == IID_IUnknown) {
         *ppv = static_cast<IUnknown*>(static_cast<IUnknownImpl*>(this));
      } else if (riid == IID_ISomme) {
         *ppv = static_cast<ISomme*>(this);
      } else {
         *ppv = nullptr;
         return E_NOINTERFACE;
      }
      AddRef();
      return S_OK;
   }
};


#endif
